Bug 322328 - Impossible to finish Polygonal Selection tool stroke with a tablet
Summary: Impossible to finish Polygonal Selection tool stroke with a tablet
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Usability (show other bugs)
Version: git master (please specify the git hash!)
Platform: Other Linux
: NOR major
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-14 06:42 UTC by Dmitry Kazakov
Modified: 2013-09-03 11:33 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Kazakov 2013-07-14 06:42:46 UTC
The path-based tools should finish not only on the double click, because it is very difficult to do it when working with a tablet. Some Ideas:

1) When hovering over the start point some snap point should appear so that the user could click on ti easily
2) The stroke should be ended by Enter key (affects Polygonal and Path selection tools)
3) The stroke should be canceled by Esc key (affects all the selection tools)

This also affects non-selection polygonal/path tools.
Comment 1 Halla Rempt 2013-07-20 08:49:40 UTC
The selection path tools finish with shift-click, too. The options you give above would be good additions. Especially 1) since even after ten years of hacking on Krita, it's still what I try to do!
Comment 2 Dmitry Kazakov 2013-08-08 20:11:36 UTC
I think this bug is major, because I also didn't know how to finish this polyline ;)
Comment 3 Dmitry Kazakov 2013-08-27 21:51:46 UTC
Git commit 0b994aa790e9a5b3207836ed0c1382756290d881 by Dmitry Kazakov.
Committed on 27/08/2013 at 21:51.
Pushed by dkazakov into branch 'master'.

Made it possible to end a polyline with Enter, Esc and a Handle

Now you can:
1) Press Enter key to end the Polyline/Polygon/Polygon Selection
2) Press Esc key to cancel them
3) If you move your mouse to the first point, a special handle appears
   allowing you to close the polyline
(the bug is not closed, because Path Tool should also be fixed)

M  +1    -1    krita/plugins/tools/selectiontools/kis_tool_select_polygonal.cc
M  +65   -36   krita/ui/tool/kis_tool_polyline_base.cpp
M  +9    -4    krita/ui/tool/kis_tool_polyline_base.h

http://commits.kde.org/calligra/0b994aa790e9a5b3207836ed0c1382756290d881
Comment 4 Tyson Tan 2013-08-28 03:17:24 UTC
I have been waiting for this commit since the day I start using Krita. I never filed a bug report because I used outline selection as a workaround and thus totally forgot about it. I think fixing the bug will definitely improve Krita's usability a lot, especially for new users. Thank you very much! :)
Comment 5 Halla Rempt 2013-08-28 06:32:13 UTC
Indeed, this is so nice  to use!
Comment 6 Dmitry Kazakov 2013-09-03 11:33:22 UTC
Git commit 47d5f65eb3519b604d5d275a324bb4203c3feb33 by Dmitry Kazakov.
Committed on 03/09/2013 at 11:31.
Pushed by dkazakov into branch 'master'.

Added easy finishing to Path and Select Path tools

Now you can finish the path:
1) By double clicking on the canvas
2) By clicking on the first point
3) By pressing Enter key
4) By Shift + Click

You can cancel the path:
1) By pressing Esc key
REVIEW:112405

M  +12   -80   krita/plugins/tools/defaulttools/kis_tool_path.cc
M  +26   -27   krita/plugins/tools/defaulttools/kis_tool_path.h
M  +22   -28   krita/plugins/tools/selectiontools/kis_tool_select_path.cc
M  +31   -41   krita/plugins/tools/selectiontools/kis_tool_select_path.h
A  +121  -0    krita/ui/tool/kis_delegated_tool.h     [License: GPL (v2+)]
M  +9    -9    krita/ui/tool/kis_tool.h
M  +37   -24   libs/basicflakes/tools/KoCreatePathTool.cpp
M  +4    -0    libs/basicflakes/tools/KoCreatePathTool.h
M  +2    -0    libs/basicflakes/tools/KoCreatePathTool_p.h

http://commits.kde.org/calligra/47d5f65eb3519b604d5d275a324bb4203c3feb33